roar_server_oinfo2(3)

NAME
roar_server_oinfo, roar_server_oinfo2 - Gets information on the output stream of RoarAudio's sound server

SYNOPSIS

#include <roaraudio.h>

int roar_server_oinfo(struct roar_connection * con, struct roar_stream * s); int roar_server_oinfo2(struct roar_connection * con, struct roar_stream * s, int dir);

DESCRIPTION
Gets information about the default mixer stream for the given stream direction. This can be used to get optimal parameters for all operations so the server don't need to resample.

roar_server_oinfo() is marked as obsolete and will be removed soon.

PARAMETERS

con The connection to the server.

s   A stream object to be filled with information on the output stream.

dir The stream direction to query mixer data for.

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
libroar(7), RoarAudio(7).